### Method

# Clapper Queue insert_item

#### Declaration [src]

    void
    clapper_queue_insert_item (
      ClapperQueue* queue,
      ClapperMediaItem* item,
      gint index
    )

#### Description [src]

Insert another `ClapperMediaItem` at `index` position to the queue.

If item is already in queue, this function will do nothing, so it is safe to call multiple times if unsure.

#### Parameters

`item`

  Type: `ClapperMediaItem`

  A `ClapperMediaItem`.

  The data is owned by the caller of the method.

`index`

  Type: `gint`

  The index to place `item` in queue, -1 to append.